-- diagnostic
vim.diagnostic.config({
	virtual_text = {
		prefix = "●", -- Icône avant le message
		source = "if_many", -- Affiche la source LSP si plusieurs
		format = function(diag)
			return string.format("%s: %s", diag.source, diag.message)
		end,
	},
	signs = true,
	underline = true,
	update_in_insert = false, -- Évite flicker en insert
	severity_sort = true,
})
